Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Interface EnumDefOperations

All Superinterfaces:
  ContainedOperations, IDLTypeOperations, IRObjectOperations, TypedefDefOperations

All Known Subinterfaces:
  EnumDef

All Known Implementing Classes:
  EnumDefPOA

public interface EnumDefOperations
extends TypedefDefOperations

An EnumDef represents an OMG IDL enumeration definition.

Method Summary
`java.lang.String[]` | `members()` The members attribute contains a distinct name for each possible value of the enumeration.
`void` | `members(java.lang.String[] value)` The members attribute contains a distinct name for each possible value of the enumeration.

Methods inherited from interface org.omg.CORBA.ContainedOperations
`absolute_name, containing_repository, defined_in, describe, id, id, move, name, name, version, version`

Methods inherited from interface org.omg.CORBA.IRObjectOperations
`def_kind, destroy`

Methods inherited from interface org.omg.CORBA.IDLTypeOperations
`type`

Method Detail

### members

    public java.lang.String[] members()

  The members attribute contains a distinct name for each possible value of the enumeration.

### members

    public void members(java.lang.String[] value)

  The members attribute contains a distinct name for each possible value of the enumeration.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD